<?php
/*
 * @Author: taowj 965042433@qq.com
 * @Date: 2023-07-19 17:41:25
 * @LastEditors: taowj 965042433@qq.com
 * @LastEditTime: 2023-07-29 17:18:32
 * @FilePath: \zhupu\application\admin\controller\user\detail\Money.php
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */

namespace app\admin\controller\user\detail;

use app\common\controller\Backend;

/**
 * 用户管理
 *
 * @icon fa fa-circle-o
 */
class Money extends Backend
{

    /**
     * Userdetailmoneymodel模型对象
     * @var \app\admin\model\users\Userdetailmoneymodel
     */
    protected $model = null;

    public function _initialize()
    {
        parent::_initialize();
        $this->model = new \app\admin\model\users\Userdetailmoneymodel;
        $this->view->assign("heatosList", $this->model->getHeatosList());
        $this->view->assign("orderTypeList", $this->model->getOrderTypeList());
        $this->view->assign("payWayList", $this->model->getPayWayList());
        $this->view->assign("statusList", $this->model->getStatusList());
    }



    /**
     * 默认生成的控制器所继承的父类中有index/add/edit/del/multi五个基础方法、destroy/restore/recyclebin三个回收站方法
     * 因此在当前控制器中可不用编写增删改查的代码,除非需要自己控制这部分逻辑
     * 需要将application/admin/library/traits/Backend.php中对应的方法复制到当前控制器,然后进行修改
     */
/**
     * 查看
     */
    public function index()
    {
        //设置过滤方法
        $this->request->filter(['strip_tags', 'trim']);
        if ($this->request->isAjax()) {
            //如果发送的来源是Selectpage，则转发到Selectpage
            if ($this->request->request('keyField')) {
                return $this->selectpage();
            }
            list($where, $sort, $order, $offset, $limit) = $this->buildparams();
            $list = $this->model->alias('udm')
                ->with('user')
                ->field("udm.*,case when udm.type=1 then '余额' when udm.type=2 then '代理资金' when udm.type=3 then '佣金' end as type ")
                ->where($where)
                ->order($sort, $order)
                ->paginate($limit);
            $result = array("total" => $list->total(), "rows" => $list->items());

            return json($result);
        }
        return $this->view->fetch();
    }

}
